Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: не могу установить luakit browser  (Прочитано 555 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Nella

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
не могу установить luakit browser
« : 11 Декабрь 2016, 14:50:53 »
Здравствуйте
У меня Ubuntu 16.04 Xenial. На днях я решила убрать полностью  "луакит" через синаптик. Дело в том, что  я не знала, как удалять кэш в Луаките и решила переустановить его просто. После удаления я не смогла его восстановить ни через команду - sudo apt get install luakit; ни путем загрузки архива. В первом случае система не может отысткать пакеты, во втором архив распаковывается и ничего не происходит. Или я не знаю, что делать
 Помогите пожалуйста, что мне всю систему чтоли теперь переустанавлиаать?

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5660
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #1 : 11 Декабрь 2016, 14:59:20 »
sudo apt install luakit?
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн Nella

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #2 : 11 Декабрь 2016, 15:05:51 »
sudo apt install luakit?
Unable to locate package luakit

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5660
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #3 : 11 Декабрь 2016, 15:25:48 »
Попробуйте собрать из исходников как описано тут https://luakit.github.io/luakit/
P.S. Он не разрабатывется с 12 года. Пользую qutebrowser
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 1801
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #4 : 11 Декабрь 2016, 15:30:18 »
Но у меня в Ubuntu-16.04 apt-get соглашается установить luakit, я, правда, не знаю, что это такое.
М.б., сначала сделать
apt-get update
Пётр.

Оффлайн Nella

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #5 : 11 Декабрь 2016, 15:41:06 »
Попробуйте собрать из исходников как описано тут https://luakit.github.io/luakit/
P.S. Он не разрабатывется с 12 года. Пользую qutebrowser
Спасибо попробую.
 c "qute" тоже подобные проблемы, кстати. Тоже не смогла установить - очень сложно и какие-то пакеты не может тоже найти

Пользователь добавил сообщение 11 Декабрь 2016, 15:44:06:
Но у меня в Ubuntu-16.04 apt-get соглашается установить luakit, я, правда
Мне там иконка нравится. очень стильно смотрится))

Пользователь добавил сообщение 11 Декабрь 2016, 15:58:45:
Попробуйте собрать из исходников как описано тут https://luakit.github.io/luakit/
P.S. Он не разрабатывется с 12 года. Пользую qutebrowser
Ага, вот может быть здесь вы мне поможете. Я загружаю zip или tar файл, распаковываю и дальше не знаю, что делать. Вот, например я нашла файл с расширением "sh" - под ним подписано "program", но он не запускается как программа

Пользователь добавил сообщение 11 Декабрь 2016, 16:13:57:
Попробуйте собрать из исходников как описано тут https://luakit.github.io/luakit/
P.S. Он не разрабатывется с 12 года. Пользую qutebrowser
Скажите, Azure, а можно ли вернуть Синаптик Пэкидж Менеджер к исходным настройкам? Переустановить там
« Последнее редактирование: 11 Декабрь 2016, 16:13:57 от Nella »

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5660
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #6 : 11 Декабрь 2016, 16:37:18 »
можно ли вернуть Синаптик Пэкидж Менеджер к исходным настройкам?
Какие именно настройки имеются ввиду.
распаковываю и дальше не знаю, что делать.
Обычно стоит найти файл типа read.me/install.txt и прочитать инструкцию, либо на сайте самой программы есть инструкция по установке. 
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн Nella

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #7 : 11 Декабрь 2016, 17:35:15 »
распаковываю и дальше не знаю, что делать.
Обычно стоит найти файл типа read.me/install.txt и прочитать инструкцию, либо на сайте самой программы есть инструкция по установке.
[/quote]
Вот, нашла, спасибо, но опять меня не слушается -   псоле введения 'sudo make install' дает: 'make: *** No rule to make target 'install'.  Stop.'
Вот посмотрите, пожалуйста, что с ними делать?


To install luakit run:
   
sudo make install

The luakit binary will be installed at:

    /usr/local/bin/luakit

And configs to:

    /etc/xdg/luakit/

And the luakit libraries to:

    /usr/local/share/luakit/lib/


Пользователь добавил сообщение 11 Декабрь 2016, 17:41:59:
можно ли вернуть Синаптик Пэкидж Менеджер к исходным настройкам?
Какие именно настройки имеются ввиду.
Ну я имею в виду привести содержимое менеджера пакетов к состоянию, когда ОС была установлена;  там ведь луакит присутствовал изначально, а потом я его демонтировала
« Последнее редактирование: 11 Декабрь 2016, 17:41:59 от Nella »

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5660
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #8 : 11 Декабрь 2016, 17:49:58 »
До
To install luakit run:
надо было выполнить
Цитировать
Requirements
Код: XML
  1. gtk2
  2. Lua (5.1)
  3. lfs (lua file system)
  4. libwebkit (webkit-gtk)
  5. libunique
  6. sqlite3

Compiling
To compile the stock luakit run:
makeTo link against LuaJIT (if you have LuaJIT installed) run:
make USE_LUAJIT=1To build without libunique (which uses dbus) run:
make USE_UNIQUE=0To build with a custom compiler run:
make CC=clangNote to packagers: you may wish to build luakit with:
make DEVELOPMENT_PATHS=0To prevent luakit searching in relative paths (./config & ./lib) for user configs.

The USE_LUAJIT=1, USE_UNIQUE=0, PREFIX=/path, DEVELOPMENT_PATHS=0, CC=clang build options do not conflict. You can use whichever you desire
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн Nella

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #9 : 11 Декабрь 2016, 18:27:12 »
До
To install luakit run:
надо было выполнить [quote
Спасибо, Azure, вы несколько переоцениваете мой интеллект. Это все не для меня, глупой девушки. мне надо пошагово всё расписывать. Вот я ввожу 'make' и естественно получаю какую-то ерунду. Ладно забудьте. потом как-нибудб научите меня как qutebrowser གстанавливать

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5660
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #10 : 11 Декабрь 2016, 20:24:13 »
вожу 'make' и естественно получаю какую-то ерунду
Так покажите, что там получаете.
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн elguahiro

  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Re: не могу установить luakit browser
« Ответ #11 : 11 Декабрь 2016, 20:25:21 »
Попробуйте включить в Меню>Программы и обновления все источники приложений или скачайте Deb пакет, задав в Google поиск по словам "luakit Deb package" и установите его - luakit есть в репозиториях многих дистрибутивов, т.к. отличный браузер и очень быстрый. Как установить qutebrowser - посмотрите на форуме xubuntu-ru.net в моей теме "настройка от новичка для новичка" - предпоследний пост.

 

Страница сгенерирована за 0.065 секунд. Запросов: 24.